/*
 * ============================================================================
 *
 *  File:     SemiEventRegistration.java
 *----------------------------------------------------------------------------
 *
 * Copyright 2008 Erlend Nossum
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 *  Description:  See javadoc below
 *
 *  Created:      Mar 31, 2008
 * ============================================================================ 
 */

package org.semispace;

/**
 * Registration object for an event. 
 * <b>Notice</b> than an registration is <i>only valid</i>
 * on the instance it was registered to / on.
 */
public class SemiEventRegistration {
    private long id;
    private SemiLease lease;
    
    public SemiEventRegistration( long id, SemiLease lease ) {
        this.id = id;
        this.lease = lease;
    }

    public long getId() {
        return this.id;
    }

    public SemiLease getLease() {
        return this.lease;
    }
}
